StarPU Internal Handbook

Macros | Functions | Variables
datastats.h File Reference
`#include <starpu.h>`
`#include <common/config.h>`
`#include <stdint.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Macros
#define | _starpu_msi_cache_hit(node)
#define | _starpu_msi_cache_miss(node)
#define | _starpu_allocation_cache_hit(node)
#define | _starpu_data_allocation_inc_stats(node)

## Functions
void | _starpu_datastats_init ()
static int | starpu_enable_stats (void)
void | __starpu_msi_cache_hit (unsigned node)
void | __starpu_msi_cache_miss (unsigned node)
void | _starpu_display_msi_stats (FILE *stream)
void | __starpu_allocation_cache_hit (unsigned node STARPU_ATTRIBUTE_UNUSED)
void | __starpu_data_allocation_inc_stats (unsigned node STARPU_ATTRIBUTE_UNUSED)
void | _starpu_display_alloc_cache_stats (FILE *stream)

## Variables
int | _starpu_enable_stats